JaxbLoadCollectionElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbLoadCollectionElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbLoadCollectionElement

    public class JaxbLoadCollectionElement

extends Object

Java class for load-collection-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="load-collection-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence maxOccurs="unbounded" minOccurs="0">
             <element name="return-property" type="{http://www.hibernate.org/xsd/hibernate-mapping}return-property-element"/>
           </sequence>
           <attribute name="alias" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="lock-mode" type="{http://www.hibernate.org/xsd/hibernate-mapping}lock-mode-attribute" default="read" />
           <attribute name="role" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `alias`
`protected JaxbLockModeAttribute` | `lockMode`
`protected List<JaxbReturnPropertyElement>` | `returnProperty`
`protected String` | `role`

Constructor Summary
`JaxbLoadCollectionElement()`

Method Summary
`String` | `getAlias()` Gets the value of the alias property.
`JaxbLockModeAttribute` | `getLockMode()` Gets the value of the lockMode property.
`List<JaxbReturnPropertyElement>` | `getReturnProperty()` Gets the value of the returnProperty property.
`String` | `getRole()` Gets the value of the role property.
`void` | `setAlias(String value)` Sets the value of the alias property.
`void` | `setLockMode(JaxbLockModeAttribute value)` Sets the value of the lockMode property.
`void` | `setRole(String value)` Sets the value of the role property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### returnProperty

    protected List<JaxbReturnPropertyElement> returnProperty

### alias

    protected String alias

### lockMode

    protected JaxbLockModeAttribute lockMode

### role

    protected String role

Constructor Detail

### JaxbLoadCollectionElement

    public JaxbLoadCollectionElement()

Method Detail

### getReturnProperty

    public List<JaxbReturnPropertyElement> getReturnProperty()

  Gets the value of the returnProperty property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the returnProperty property.

  For example, to add a new item, do as follows:

          getReturnProperty().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbReturnPropertyElement`

### getAlias

    public String getAlias()

  Gets the value of the alias property.

  Returns:
    possible object is `String`

### setAlias

    public void setAlias(String value)

  Sets the value of the alias property.

  Parameters:
    `value` - allowed object is `String`

### getLockMode

    public JaxbLockModeAttribute getLockMode()

  Gets the value of the lockMode property.

  Returns:
    possible object is `JaxbLockModeAttribute`

### setLockMode

    public void setLockMode(JaxbLockModeAttribute value)

  Sets the value of the lockMode property.

  Parameters:
    `value` - allowed object is `JaxbLockModeAttribute`

### getRole

    public String getRole()

  Gets the value of the role property.

  Returns:
    possible object is `String`

### setRole

    public void setRole(String value)

  Sets the value of the role property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.